package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 题卡临时保存表
 * </p>
 */
@TableName("exam_card_stage")
public class ExamCardStage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "题卡id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("id")
    private Long id;

    /**
     * 题卡内容
     */
    @TableField("content")
    private String content;
    /**
     * html内容
     */
    @TableField("html_content")
    private String htmlContent;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getHtmlContent() {
        return htmlContent;
    }

    public void setHtmlContent(String htmlContent) {
        this.htmlContent = htmlContent;
    }
}
